summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-05-23 13:09:07 +0200
committerAlexis Ballier <aballier@gentoo.org>2016-05-23 13:09:07 +0200
commit9057472ec5cc3a775c9ffe0499521c4ba7cc5739 (patch)
tree9bf2c1d4a5592f8c58915bb4a21cc0cf99472e67
parentdev-python/rfc3987: bump to 1.3.6 (diff)
downloadgentoo-9057472ec5cc3a775c9ffe0499521c4ba7cc5739.tar.gz
gentoo-9057472ec5cc3a775c9ffe0499521c4ba7cc5739.tar.bz2
gentoo-9057472ec5cc3a775c9ffe0499521c4ba7cc5739.zip
media-libs/libbluray: bump to 0.9.3
Package-Manager: portage-2.3.0_rc1
-rw-r--r--media-libs/libbluray/Manifest1
-rw-r--r--media-libs/libbluray/libbluray-0.9.3.ebuild93
2 files changed, 94 insertions, 0 deletions
diff --git a/media-libs/libbluray/Manifest b/media-libs/libbluray/Manifest
index 6ed3d5869e8..ada834af0bb 100644
--- a/media-libs/libbluray/Manifest
+++ b/media-libs/libbluray/Manifest
@@ -3,3 +3,4 @@ DIST libbluray-0.8.1.tar.bz2 623402 SHA256 cdbec680c5bbc2251de6ccd109cf5f798ea51
DIST libbluray-0.9.0.tar.bz2 624614 SHA256 84b61da9202fa724a76ac885af69df16a5583eb11d43e940dc201833bbfd694d SHA512 12db8b9ace0629158c1ce0e5447fc154609e9f78c55ff7d830c7ee38ccafa9824bfcdbe622d7e13e8c6d74205ae648ccf2e7c7b756692acc27e48fe9e2cc95ec WHIRLPOOL 7b8191bf0adcd1c612662a9bf66d2f94ba43bda1bd5a23425aee85b486aced4c0edf0f720a17361640f7982e5794bd531bfc9efa45e883495be4acd9ae42b8cc
DIST libbluray-0.9.1.tar.bz2 703068 SHA256 d9647fa55802907b33d85e9ffcc6d97e3133490f3721afd649d9b361c42f3940 SHA512 78a768d26454067f904e0c15717e81bbce624f8e13d1e8a8e84611a4fc29191860640b86633ad9611cc461d9ee84472d3388fc2429d302d87908e3900898c5a1 WHIRLPOOL 788f5714689cf08798149860a450a17b0b6abb717bfb6e0fce805c90592e01ffbb15da621c6ee2317dde88379619bb678a930ebb1c2234ac139b08fc7be0ab73
DIST libbluray-0.9.2.tar.bz2 704357 SHA256 efc994f42d2bce6af2ce69d05ba89dbbd88bcec7aca065de094fb3a7880ce7ea SHA512 f7fda2ef4c0ec70eb9a38aed0e76d21d8784410cb13713e7ee66ecd23a1cc58325977b046d40c526554a4a4e4cf96706a233e15451bf34892aff201b47e25aef WHIRLPOOL 96716027cd8d62c55cdde4f05d8a3c2023c30231ae86ca3231abc52db66e8a4b7338ea3ca871cfc971b83104875429c6d4058d132c488aed09d6d50eb9b4afb1
+DIST libbluray-0.9.3.tar.bz2 722686 SHA256 a6366614ec45484b51fe94fcd1975b3b8716f90f038a33b24d59978de3863ce0 SHA512 1e308b85c51d43b23b186fdd2631f963d4c25de8aff29f335e131b32a175434ee21460a7aa470c508ad13662cf9052649bb4eb974dbd709eb9e6797fb84e0823 WHIRLPOOL b121e75b68738c057ea3e5240523ca2c427c60436e3f12b5ed0817a673ec26573ea45d5d788e464f234eaa254fadcd583b81c2d30970131e2b5eb46b4c279632
diff --git a/media-libs/libbluray/libbluray-0.9.3.ebuild b/media-libs/libbluray/libbluray-0.9.3.ebuild
new file mode 100644
index 00000000000..16182bd9b29
--- /dev/null
+++ b/media-libs/libbluray/libbluray-0.9.3.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [ "${PV#9999}" != "${PV}" ] ; then
+ VCSECLASS="git-r3"
+ KEYWORDS=""
+ EGIT_REPO_URI="git://git.videolan.org/libbluray.git"
+ SRC_URI=""
+else
+ VCSECLASS=""
+ KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+ SRC_URI="http://ftp.videolan.org/pub/videolan/libbluray/${PV}/${P}.tar.bz2"
+fi
+
+inherit autotools ${VCSECLASS} java-pkg-opt-2 flag-o-matic eutils multilib-minimal
+
+DESCRIPTION="Blu-ray playback libraries"
+HOMEPAGE="http://www.videolan.org/developers/libbluray.html"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="aacs bdplus +fontconfig java static-libs +truetype udf utils +xml"
+
+COMMON_DEPEND="
+ xml? ( >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}] )
+ fontconfig? ( >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}] )
+ truetype? ( >=media-libs/freetype-2.5.0.1:2[${MULTILIB_USEDEP}] )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ aacs? ( >=media-libs/libaacs-0.6.0[${MULTILIB_USEDEP}] )
+ bdplus? ( media-libs/libbdplus[${MULTILIB_USEDEP}] )
+ java? ( >=virtual/jre-1.6 )
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ java? (
+ >=virtual/jdk-1.6
+ dev-java/ant-core
+ )
+ virtual/pkgconfig
+"
+
+DOCS=( ChangeLog README.txt )
+
+src_prepare() {
+ if use java ; then
+ export JDK_HOME="$(java-config -g JAVA_HOME)"
+
+ # don't install a duplicate jar file
+ sed -i '/^jar_DATA/d' Makefile.am || die
+
+ java-pkg-opt-2_src_prepare
+ fi
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ --disable-optimizations \
+ $(multilib_native_use_enable utils examples) \
+ $(multilib_native_use_enable java bdjava) \
+ $(use_with fontconfig) \
+ $(use_with truetype freetype) \
+ $(use_enable static-libs static) \
+ $(use_enable udf) \
+ $(use_with xml libxml2)
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+
+ if multilib_is_native_abi && use utils; then
+ cd .libs/
+ dobin index_dump mobj_dump mpls_dump bd_info bdsplice clpi_dump hdmv_test libbluray_test list_titles sound_dump
+ if use java; then
+ dobin bdj_test
+ fi
+ fi
+
+ if multilib_is_native_abi && use java; then
+ java-pkg_dojar "${BUILD_DIR}"/.libs/${PN}-j2se-*.jar
+ fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files
+}